'''
-----------------------------------------------------------------------------
 Nonuniform crack-face loading on an edge crack in a half space modeled
 using reduced integration plane strain elements (CPE8R).
 Submit the job: 2DEdgeCrackCPE8R
-----------------------------------------------------------------------------
'''

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
modelName = '2DEdgeCrackCPE8R'
openMdb(modelName)
myModel = mdb.models[modelName]
myAssembly = myModel.rootAssembly
myViewport = session.Viewport(name=modelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the job for analysis

mdb.jobs[modelName].submit()
mdb.jobs[modelName].waitForCompletion()

#---------------------------------------------------------------------------
